// -*- Mode:c++ -*-
// $Id: AMGAService.h,v 1.1 2006/08/23 09:54:19 koblitz Exp $
/** Provides AMGA::Service class that describes an AMGA endpoint
**/

#ifndef AMGASERVICE_H
#define AMGASERVICE_H

namespace AMGA {

struct Service {
  Service(const std::string &d, const std::string &h="", int p=0)
    : dn(d), host(h), port(p) {
    // Nothing else...
  }
  std::string dn;
  std::string host;
  int port;
};

}

#endif // AMGASERVICE_H
